Bug 1274258 (CVE-2015-7850) - CVE-2015-7850 ntp: remote configuration denial of service vulnerability
Summary: CVE-2015-7850 ntp: remote configuration denial of service vulnerability
Status: CLOSED NOTABUG
Alias: CVE-2015-7850
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20151021,reported=2...
Keywords: Security
Depends On: 1296167
Blocks: 1260670
TreeView+ depends on / blocked
 
Reported: 2015-10-22 11:30 UTC by Martin Prpič
Modified: 2016-05-10 01:53 UTC (History)
7 users (show)

Fixed In Version: ntp 4.2.8p4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 12:07:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2024443 None None None Never

Description Martin Prpič 2015-10-22 11:30:26 UTC
The following flaw was found in ntpd:

An exploitable denial of service vulnerability exists in the remote configuration functionality of the Network Time Protocol. A specially crafted configuration file could cause an endless loop resulting in a denial of service. An attacker could provide a the malicious configuration file to trigger this vulnerability.

External References:

http://talosintel.com/reports/TALOS-2015-0055/
http://support.ntp.org/bin/view/Main/SecurityNotice#October_2015_NTP_Security_Vulner

Comment 3 Martin Prpič 2016-01-06 13:58:13 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1296167]

Comment 5 Martin Prpič 2016-01-07 12:07:18 UTC
Closing this as notabug:

The issue relies on the fact that an attacker could provide a crafted config file that could cause ntpd loop infinitely. Fixing this one case does not prevent the attacker from pointing ntpd to the e.g. /dev/zero file, which would have the same effect. This issue is limited to users who are able to use the :config command.


Note You need to log in before you can comment on or make changes to this bug.